KDK_BURIED_POINT(3)

NAME
kdk_buried_point - 上传埋点数据

SYNOPSIS

#include <libkydiagnostics.h>

  Functions

  int kdk_buried_point (char * appName, char * messageType, KBuriedPoint * data, int length)

上传埋点数据

Parameters
    appName : 包名
    messageType : 消息类型
    data : 埋点数据数组
    typedef struct {
        const char *key;
        const char *value;
    } KBuriedPoint;
    length : 数组长度

Return values
    0 : 成功
    -1 : 失败

Link with -lkydiagnostics.

Detailed Description

接口的主要功能是上传埋点数据

EXAMPLES
    #include <stdio.h>
    #include "libkydiagnostics.h"
    int main(void)
    {
        char appName[] = "kylin-font-viewer";
        char messageType[] = "FunctionType";
        KBuriedPoint pt[2];
        pt[0].key = "testkey";
        pt[0].value = "testvalue";
        pt[1].key = "testkey1";
        pt[1].value = "testvalue1";
        if (kdk_buried_point(appName , messageType , pt , 2)) {
            printf("buried point fail !);
            return -1;
        }
        printf("buried point success !);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification.

SEE ALSO
libkydiagnostics(3).

Author

Generated automatically by Doxygen for libkydiagnostics.h from the source code.